summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2015-12-10 00:25:54 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2015-12-10 00:25:54 +0100
commit96d6ad855914dffdb4dca6015b0e576629151208 (patch)
tree53b71ab65097bb6153e96d9c343e65f905f17b94 /scripts/scan-tools.sh
parent58b6567bef43e0dd72d37c05144ccf15809de47a (diff)
detect BSD bc and use our own to avoid linux kernel compile breakage
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 42a4e0a1d..8557179df 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -215,11 +215,15 @@ fi
# always required, but can be provided by host
host_build_bc=0
if which bc >/dev/null 2>&1; then
- if ! echo quit|bc -q 2>/dev/null >/dev/null;then
- host_build_bc=1
- fi
+ if ! echo quit|bc -q 2>/dev/null >/dev/null; then
+ host_build_bc=1
+ else
+ if bc -v 2>&1| grep -q BSD >/dev/null 2>&1; then
+ host_build_bc=1
+ fi
+ fi
else
- host_build_bc=1
+ host_build_bc=1
fi
host_build_bison=0